package com.house365.ws.dao.interfaces;

import com.house365.beans.entity.VersionEntity;
import com.house365.beans.system.QueryParams;
import com.house365.dao.system.interfaces.Dao;

import java.util.List;

public interface IVersionDao<T extends VersionEntity> extends Dao<T> {

    List<VersionEntity> getLastVersion(VersionEntity ve);
    void deleteVersionById(Integer id);
    List<VersionEntity> getAppVersionList(QueryParams<VersionEntity> queryParams);
}
